Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006767TestLinkTest Execute - Navigatorpublic2014-11-19 01:452014-12-31 14:22
Reportermokalstudio 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OScentosOS Version6.3
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006767: case execution module: when change tplan, current platform cannot renew
Descriptionwhen access to case execution module, change tplan, the currennt platform cannot renew
Steps To Reproduce-add two testplan under one project,named tplan1 and tplan2
-assign platform A and B to tplan1 and C/D to tplan2
-add build and assign test cases

-on main page, change current testplan to tplan2
-click case execution on navbar
-then change testplan to tplan1

-the platform select and build select all correct,but
-the total cases need been execution is 0
-the right summary frame shows the current platform is tplan1's platform A.
so, in tplan2 and platform A, total cases is 0.
Additional Information-the Screenshot is from http://demo.testlink.org/latest/index.php [^]
-this issue is on all testlink version.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon 123.png [^] (14,559 bytes) 2014-11-19 01:45


png file icon planA.png [^] (8,673 bytes) 2014-11-20 08:41


png file icon planB.png [^] (18,007 bytes) 2014-11-20 08:41


png file icon issue.png [^] (27,005 bytes) 2014-11-20 08:42

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022209)
mokalstudio (reporter)
2014-11-19 01:47

sorry there some mistake,bellow is correct:
-the right summary frame shows the current platform is tplan2's platform C.
(0022215)
fman (administrator)
2014-11-19 13:17

Please
1. look for similar issues on this tool removing status filter
2. get latest code from gitorious (branch 1.9), fresh install in sandbox,
retest and provide feedback
(0022225)
fman (administrator)
2014-11-20 06:27

Please textual description has to be in line with images or is useless.
i.e. text said tplan A, image display testplan1111.
(0022227)
mokalstudio (reporter)
2014-11-20 08:46

plan1 and plan2 is planA and planB, before capture image3# i edite this.
 
My operate is on demo site under project "project1111111111111111111".
(0022228)
fman (administrator)
2014-11-20 09:57

1. please provide feedback to requests done on note
(0022215)

2. please provide detailed steps to reproduce as explained in forums.tesisquare.com
(0022279)
mokalstudio (reporter)
2014-11-28 00:54

steps to reproduce:
1. add test plan A
2. assign platform a and b to plan A
3. add test plan B
4. assign platform c and d to plan B

5. on main page, current testplan is A

6. click execution menu, change testplan to B in left "setting"

7. then check the case catalog tree, the platform incorrect

- Issue History
Date Modified Username Field Change
2014-11-19 01:45 mokalstudio New Issue
2014-11-19 01:45 mokalstudio File Added: 123.png
2014-11-19 01:47 mokalstudio Note Added: 0022209
2014-11-19 13:16 fman QA Team - Task Workflow Status => TBD
2014-11-19 13:16 fman Additional Information Updated View Revisions
2014-11-19 13:17 fman Note Added: 0022215
2014-11-20 06:25 fman Assigned To => fman
2014-11-20 06:25 fman Status new => feedback
2014-11-20 06:27 fman Note Added: 0022225
2014-11-20 08:41 mokalstudio File Added: planA.png
2014-11-20 08:41 mokalstudio File Added: planB.png
2014-11-20 08:42 mokalstudio File Added: issue.png
2014-11-20 08:46 mokalstudio Note Added: 0022227
2014-11-20 08:46 mokalstudio Status feedback => assigned
2014-11-20 09:57 fman Note Added: 0022228
2014-11-28 00:54 mokalstudio Note Added: 0022279
2014-11-29 16:13 fman Fixed in Version => 1.9.13 (2015 #1)
2014-11-29 16:14 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-11-29 16:14 fman Status assigned => resolved
2014-11-29 16:14 fman Resolution open => fixed
2014-11-29 16:14 fman Relationship added child of 0006609
2014-12-31 14:22 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker